Subject: bug#47130: 28.0.50; Gnus: mairix doesn't work anymore

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 15 Mar 2021 20:44:37 -0700

Michael Heerdegen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> My only advice is to not use nnmairix (which no one is maintaining), and
>> just use mairix as a regular backend to gnus-search (which should do
>> everything that nnmairix ever did).
>
> Seems to be cool - I tried it, but didn't get it work.  I tried to
> search my (locally) archived messages with G G and mairix.
>
> This is my mairixrc:
>
> | base=~/Mail/archive
> | mfolder=/home/micha/mairix
> | mh=...
> | mformat=mh
> | omit=zz_mairix-*
> | database=~/.mairixdatabase
>
> and I use this config for Gnus:
>
> #+begin_src emacs-lisp
> (setq gnus-search-mairix-remove-prefix
>       (expand-file-name "mairix/" "~")) ; correct?
> (setf (alist-get 'nnml gnus-search-default-engines)
>       'gnus-search-mairix)
> #+end_src
>
> When searching with G G mairix seems to be called; I get a prompt asking
> how many of a plausible varying number of articles I want to see in the
> created group; I hit RET to accept the default and Gnus just says
>
>   "No unread news"
>
> and that's it.  Am I doing something wrong?

So maybe you're running into the exact same bug as before, via a
different path? :)

I don't have mairix installed and haven't used it before, let me get
things set up and see if I can reproduce the error, using your config etc.